#!/bin/sh
minfps=5
maxfps=30
echo "What is the name of the file you want to convert(with extension)?"
read input

ext=`echo "$input" | cut -d'.' -f2`


echo "What do you want your framerate to be, any number between $minfps and $maxfps?"
read fps
	if [ $fps -lt $minfps ]; then
		echo "Please pick a number greater than 5"
		read -p "Press enter to continue"
		sh makeanim.sh
	elif [ $fps -gt $maxfps ]; then
		echo "Please pick a number less than 30"
		read -p "Press enter to continue"
		sh makeanim.sh
	else
clear
fi

echo "0 for top screen and 1 for bottom screen"
read number
	if [ $number = 0 ]; then
		size="400:240"
		output1="inputresized.gif"
		output2="output.rgb"
		rename="anim"
		rm "anim"
	else
		size="320:240"
		output1="bot_inputresized.gif"
		output2="bot_output.rgb"
		rename="bottom_anim"
		rm "bottom_anim"
fi
ffmpeg -i $input -vf fps=$fps,scale=$size:flags=lanczos,palettegen palette.png
ffmpeg -i $input -i palette.png -filter_complex "fps=$fps,scale=$size:flags=lanczos[x];[x][1:v]paletteuse" $output1
rm palette.png
ffmpeg -i $output1 -r $fps -pix_fmt bgr24 -vf "transpose=1" $output2
mv $output2 $rename
rm $output1

rm config
cp configs/$fps ./
mv $fps config

exit
